Subject: RE: [mobile-ip] FW: I-D ACTION:draft-malinen-mobileip-regreg6-01.txt

From: "Charles E. Perkins" <[email-masked]>
Date: Mon, 12 Mar 2001 17:15:49 -0800

Hello Glenn,

> Thanks for the reply. I am trying to get people to open up their minds with
> IPv6. It is still fairly malleable for change and has many tools which can
> be used to achieve this functionality.

Do you mean to suggest changing IPv6?  If you mean changing something
else (using its favorable malleability), can you say what?

>                                           The RR draft seems to be let's
> fork-lift the IPv4 solution and slap in some anycast magic. I think a better
> solution is out there for this functionality using IPv6's features that
> leverages any natural aggregation that may exist in any given IP network. 

A slap is not respectful treatment for anybody, not even an
anycast address.  I think that the anycast address has
exactly the right semantics.  We also are trying to get people
to open their minds with IPv6.

Anycast is exactly right, because what the mobile node "wants"
is for the crossover router to take the appropriate action,
without the mobile node knowing which router it is.

Anycast even helps to preserve the connectionless nature which
we would like to preserve for regionalized mobility handling.

> In my opinion arbitary point is not a requirement and even if it were there
> are better solutions  which do not require any changes to the protocols,
> especially if you use tunneling.

I thought that a lot of people wanted to use an arbitrary point of
contact (between access network and Internet) as an "anchor point".
Or maybe you are referring to something else...?

> RR is nothing more than an IP proxy using MIP signaling to provision it.

In a subsequent note, you retracted this characterization, but I'd
still like to know how you wished to draw the analogy between
something in regionalized registration, and an IP proxy (what
is an IP proxy?).

Regards,
Charlie P.

---

From: "Jari T. Malinen" <[email-masked]>
Date: Wed, 14 Mar 2001 20:05:02 -0800

Hello,

"Hesham Soliman (ERA)" wrote:
> 
> Hello Glenn,
> 
> You're absolutely right. That's exactly what we have been avoiding
> in the HMIPv6 work. There is no need for a non-robust solution
> that intrduces a tree of single points of failures. As you said
> network administrators can force routes to introduce this effect
> if they want their networks to be less robust for other reasons.

Or regreg6 configurator can freely decide on the number of hierarchy
levels according to his needs, including having one only. And, I
do not believe it impossible to have dynamic configuration option
for regreg6, it is something extra to natural routing, but doable.

In fact, having some redundancy in mobility binding state in the
hierarchy may help reconstructing the state once a regional router
goes down. Once a MAP goes down, you'll need some effort to set
up those forwarding entries to the tunnels for mobile nodes under it.
Simply moving the regional CoAs to anothe box is not enough. In a
scalable solution, I do not believe timeout and full re-registration
in every case for every mobile node is all that can be done, either.

> So far I haven't heard *any* reason for it [multiple levels of hierarchy].

Consider the following: Some users of a localized mobility scheme
consider bandwidth of the last mile a very precious resource.
They may also envision that the number of mobile nodes can be
very large. In fact, so large that one MAP box is not enough to
handle the signaling load of a visite domain.

Suppose the last mile is so precious that we can't use but one
RCoA/MAP option on the router advertisement. How would the
load balancing with MAP work? 

If we can distribute load to more than one box by
maintaining e.g. one level of lower routers, locality of movement
naturally brings location update signaling load down to other
boxes from a GMA. When simultaneously increasing the number of
mobile nodes, I believe the signaling difference becomes
significant.

> Cheers,
> Hesham

Best Regards,

-Jari

---

From: "Jari T. Malinen" <[email-masked]>
Date: Wed, 14 Mar 2001 20:12:08 -0800

Hello,

A bit late, but here are my comments. I believe simply labeling
our solution connection-oriented does not do justice to the options
possible with it.

> Glenn Morrow wrote:
> 
> Hello,
> 
> I still do not understand why the ability to place something at an arbitrary point justifies destroying the connectionless nature of a IP or even IP mobility.

Once we introduce an intermediary point (HA/RMA/MAP) with mobility bindings
we introduce state used in a similar way as state used for maintaining
plain next hop forwarding. I read your use of term connection-oriented to
mean the use of mobility bindings for forwarding instead of exclusively relying on host/network/default routes. Introducing robustness
in this form of forwarding is a problem both HMIP and regreg6 face.
In fact, even basic Mobile IPv6 while forwarding packets via the
home agent has this feature.

On terms used in discussions, we should also recognize that mobility
bindings cause only an indirection to the forwarding and do not alter
the data packets on flight, thus word proxy is a bit off the mark here.

> If arbitrary point is so important, why don't you just tunnel to the arbitrary point based upon routing policy and leave a natural aggregatable solution connectionless. People can always tinker with their routes to make single points of failure if they wish but why build it in.
> 
> Have people simply given up on keeping things connectionless? Is there some sort of graph theory that somehow proves that this is a connection oriented problem domain?
> 
> Respectfully, I wish to be illuminated on this - one way or the other.

Mobility introduces soft state, if we use mobility bindings. This
is the case with any localized mobility scheme, whether one,
or multiple levels of hierarchy. Mobility state is used for packet
forwarding through encapsulation in a way resembling what host-based
routing does with next-hop state. It can use aggregation, if you
want to.

What comes to our particular solution, it gives the flexibility to
set up a hierarchy of one or more levels, but does not force one
to do that. On configuring a hierarchy, I believe it is quite possible
to have a dynamic configuration option with provisions for robustness
even with our solution. Providing options for different configurations
for a large variety of requirements where some configurations are more
static than others does not necessarily make the solution radically
more connection-oriented than some other solutions.

To always use "natural aggregation" while having a stationary
care-of-address has a price. It will reduce the point of mobility
binding state management to a hotspot which does not necessarily
scale well given that we want continuously to keep the mobility
signaling localized. Therefore, to address the other side of the coin,
"natural aggregation" calls for concentrating the mobility binding
state management to as few points as possible. I do not think
a solution should disallow distribution of mobility state maintenance
to scale for receiving a huge number of simultaneous RBUs.

Best Regards,

-Jari